# Paf'Pastèque

## About

**Pasteque** is a free and open source (MIT License) **Pastebin like**
application written in Python/Django.

An instance can be found at: [p.afpy.org](https://p.afpy.org).  The AFPy
instance is installed by ansible, the role is available here:
[https://git.afpy.org/AFPy/infra/src/branch/main/roles/pasteque](https://git.afpy.org/AFPy/infra/src/branch/main/roles/pasteque).


## Features

- Support any database supported by Django (Sqlite3, MySQL, PostgreSQL, Oracle, ...)
- Available in english, french .. and easily translatable into another languages.
- Syntax highlighting for a bunch of languages using Pygments.
- Easy paste from command line or any programming language.


## Running Pasteque

In a [venv](https://docs.python.org/3/library/venv.html), install the requirements:

    pip install -r requirements.txt

In a `local_settings.py` file, at the root of the repo:

    DISPLAY_NAME = 'YourCompany-Paste'
    COMPRESS_ENABLED = True
    DEBUG = False
    SECRET_KEY = 'fill_a_secret_key_here'
    ALLOWED_HOSTS = ['localhost', '127.0.0.1', 'paste.henriet.eu']

Create the database:

    ./manage.py migrate

If you're in production collect static files:

    ./manage.py collectstatic

Run it:

    ./manage.py runserver
